<script setup lang="ts">
import { RouterLink } from 'vue-router'
import HeaderItems from '@/components/HeaderItems.vue'
import router from '@/router'
import { ref, type Ref } from 'vue'
import { Bars3Icon } from '@heroicons/vue/24/solid'

const openDrawer: Ref<HTMLInputElement | null> = ref(null)

// Replie le drawer lors de la navigation
router.afterEach(() => {
  const openDrawerValue = openDrawer.value
  if (openDrawerValue && openDrawerValue.checked) {
    openDrawerValue.checked = false
  }
})
</script>

<template>
  <div class="drawer z-10">
    <input id="my-drawer-3" type="checkbox" ref="openDrawer" class="drawer-toggle" />
    <div class="drawer-content flex flex-col">
      <!-- Navbar -->
      <div class="w-full navbar bg-primary-content">
        <div class="flex-none lg:hidden">
          <label for="my-drawer-3" class="btn btn-square btn-ghost">
            <Bars3Icon />
          </label>
        </div>
        <div class="flex-1 px-2 mx-2 text-3xl">
          <RouterLink to="/">MyBlindTest</RouterLink>
        </div>
        <div class="flex-none hidden lg:block">
          <HeaderItems class="menu menu-horizontal items-center" />
        </div>
      </div>
      <!-- Additional content -->
    </div>
    <div class="drawer-side">
      <!-- Sidebar -->
      <label for="my-drawer-3" class="drawer-overlay"></label>
      <HeaderItems class="menu p-4 w-80 h-full bg-base-200" />
    </div>
  </div>
</template>
